Bug 980471 - can't upgrade encrypted LVM from F18 to F19 [NEEDINFO]
can't upgrade encrypted LVM from F18 to F19
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fedup (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 09:38 EDT by Ferry Huberts
Modified: 2014-02-05 17:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:02:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wwoods: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Ferry Huberts 2013-07-02 09:38:39 EDT
Description of problem:
can't upgrade encrypted LVM from F18 to F19

Version-Release number of selected component (if applicable):
0.7.3-4.fc18

How reproducible:
always

Steps to Reproduce:
1. sudo yum install fedup
2. sudo fedup --network 19 --reboot
2.
3.

Actual results:
hangs after basic target

Expected results:
upgrade

Additional info:

/etc/fstab
/dev/mapper/fedora_stinkpad-root /                       ext4    defaults,discard,x-systemd.device-timeout=0 1 1
UUID=527e20e8-b4d0-40de-8cfd-4292e034362f /boot                   ext4    defaults,discard        1 2
/dev/mapper/fedora_stinkpad-home /home                   ext4    defaults,discard,x-systemd.device-timeout=0 1 2
/dev/mapper/fedora_stinkpad-swap swap                    swap    defaults,discard,x-systemd.device-timeout=0 0 0


/etc/crypttab 
luks-3f8eaa7c-1287-4afd-bdac-8da79b60af38 UUID=3f8eaa7c-1287-4afd-bdac-8da79b60af38 none allow-discards,timeout=0



grub.cfg
menuentry 'System Upgrade (fedup)' --class fedora --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-simple-8e18424e-7acd-4bca-bd94-c9c6397de552' {
	load_video
	set gfxpayload=keep
	insmod gzio
	insmod part_msdos
	insmod ext2
	set root='hd0,msdos1'
	if [ x$feature_platform_search_hint = xy ]; then
	  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd0,msdos1'  527e20e8-b4d0-40de-8cfd-4292e034362f
	else
	  search --no-floppy --fs-uuid --set=root 527e20e8-b4d0-40de-8cfd-4292e034362f
	fi
	echo 'Loading System Upgrade (fedup)'
	linux	/vmlinuz-fedup root=/dev/mapper/fedora_stinkpad-root ro rd.md=0 rd.dm=0 rd.lvm.lv=fedora_stinkpad/swap  rd.lvm.lv=fedora_stinkpad/root vconsole.keymap=us LANG=en_US.utf8 quiet upgrade systemd.unit=system-upgrade.target plymouth.splash=fedup enforcing=0
	echo 'Loading initial ramdisk ...'
	initrd /initramfs-fedup.img
}
menuentry 'Fedora (3.9.6-200.fc18.x86_64)' --class fedora --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-simple-8e18424e-7acd-4bca-bd94-c9c6397de552' {
	load_video
	set gfxpayload=keep
	insmod gzio
	insmod part_msdos
	insmod ext2
	set root='hd0,msdos1'
	if [ x$feature_platform_search_hint = xy ]; then
	  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd0,msdos1'  527e20e8-b4d0-40de-8cfd-4292e034362f
	else
	  search --no-floppy --fs-uuid --set=root 527e20e8-b4d0-40de-8cfd-4292e034362f
	fi
	echo 'Loading Fedora (3.9.6-200.fc18.x86_64)'
	linux	/vmlinuz-3.9.6-200.fc18.x86_64 root=/dev/mapper/fedora_stinkpad-root ro rd.md=0 rd.dm=0 rd.lvm.lv=fedora_stinkpad/swap  rd.lvm.lv=fedora_stinkpad/root vconsole.keymap=us LANG=en_US.utf8 quiet
	echo 'Loading initial ramdisk ...'
	initrd /initramfs-3.9.6-200.fc18.x86_64.img
}
Comment 1 Ferry Huberts 2013-07-02 09:41:35 EDT
tried removing 'plymouth.splash=fedup', adding 'rhgb', no luck
tried without 'quiet', no extra info.

seems that luks is not setup
Comment 2 Will Woods 2013-07-03 15:56:25 EDT
I'm guessing you aren't getting a LUKS prompt, because you're missing rd.luks.uuid=XXX from your boot arguments. Fedora 19 dracut won't set up LUKS devices without those arguments.

(Did you upgrade your system from GRUB to GRUB2 by hand, and forget to bring those arguments from your old GRUB config? That seems to have happened to a few people.)

Either way - try adding the old rd.luks.uuid argument to your *existing* F18 kernel entry in grub.cfg. (The installer would have set up for you when you originally installed Fedora). It looks something like: 

   rd.luks.uuid=luks-$UUID_OF_CRYPTO_LUKS_PARTITION

You can find the uuid with 'blkid' if you don't have the old config somewhere.

Then re-run fedup, confirm it has the 'rd.luks.uuid' argument in the fedup boot arguments, and try again.

Does that fix the problem?
Comment 3 Fedora End Of Life 2013-12-21 09:13:21 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 17:02:40 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.